> For the complete documentation index, see [llms.txt](https://docs.ngsurvey.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ngsurvey.com/de/installation-setup/installation/microsoft-azure.md).

# Microsoft Azure

Als Azure-Webanwendung bereitstellen

## Erforderliche Downloads

Laden Sie die ngSurvey Enterprise Edition-Installationsarchivdatei herunter:\
[ngSurvey Installations-ZIP-Paket](https://dl.ngsurvey.com/release/ngsurveyee.zip)

{% hint style="warning" %}
Stellen Sie sicher, dass Sie [distributed caching aktivieren](/de/installation-setup/installation/cluster-scale-out-configuration.md) wenn Sie ngSurvey auf mehreren Azure-Instanzen ausführen, um die Last zu verteilen.
{% endhint %}

## Installationsschritte

1. Erstellen Sie einen Azure AppService über das Azure-Verwaltungsportal mit einem .NET 9-Host.
2. Fügen Sie auf der Seite mit den Anwendungseinstellungen eine neue [Connection String ](https://www.connectionstrings.com/sql-server/)mit dem Namen `NGSurveyDB` mit den Verbindungsinformationen der Datenbank hinzu, die die ngSurvey-Datenbank hostet. Wenn Sie MySQL verwenden, stellen Sie sicher, dass Sie auch dem [MySQL-Konfigurations-](/de/installation-setup/installation/datenbank-backend/oracle-mysql.md) Tutorial folgen.&#x20;
3. Optional, aber die sicherste Option - [Azure Key Vault](https://azure.microsoft.com/en-us/services/key-vault/). Wenn Sie Ihre Anwendungseinstellungen lieber in einem Azure Key Vault speichern möchten, können Sie folgende Einstellungen in den Anwendungseinstellungen setzen

   * KeyVault:Name ist der Name Ihres Key Vaults
   * AzureAd:ClientId ist die Client-ID zum Zugriff auf Ihren Key Vault
   * AzureAd:ClientSecret ist das Client-Secret zum Zugriff auf Ihren Key Vault

   \
   Wenn Sie unter einem Linux-Host ausführen, stellen Sie sicher, dass Sie das : durch ein doppeltes Unterstrichzeichen \_\_ ersetzen <br>
4. Um das Paket bereitzustellen, navigieren Sie in Ihrem Browser zu `https://yourazure_appname.scm.azurewebsites.net/ZipDeployUI`
5. Laden Sie die NGSurvey-ZIP-Datei hoch, indem Sie sie in den Datei-Explorer-Bereich auf der Webseite ziehen.
6. Navigieren Sie mit Ihrem Browser zu Ihrer Azure-Site
7. Verwenden Sie folgende Standardanmeldedaten für ngSurvey\
   \
   Email : ngsadmin\
   password : admin<br>
8. Sobald Sie angemeldet sind, können Sie zusätzliche Einstellungen wie Mail-Server, Captcha und Übersetzungsdienste über das [System / Einstellungen](/de/installation-setup/system-settings.md) Seite konfigurieren.
9. Genießen Sie ein großartiges Umfrage-Tool!


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ngsurvey.com/de/installation-setup/installation/microsoft-azure.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
